## gmt 4.5.12

=== debian/changelog ===
gmt (4.5.12-1) unstable; urgency=medium

  * New upstream release for 4.x series, bug fixing only.
  * Now using unversioned paths for installing the octave files.
    Thanks Rafael Laboissiere (closes: #734047).
  * Policy set to 3.9.5, no changes done.
  * Set debhelper to level 9 for both -arch and -indep sections.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 20 Mar 2014 10:34:32 +0100
