=== debian/control ===
Source: gmt
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Torsten Landschoff <torsten@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: libnetcdf-dev, debhelper (>= 9), bzip2, libxmu-headers,
 libxaw7-dev, autotools-dev, octave-pkg-dev (>= 1.0.0)
Build-Depends-Indep: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://gmt.soest.hawaii.edu/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gmt.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gmt.git

Package: gmt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gmt-manpages
Conflicts: gmt-manpages
Recommends: gmt-gshhs-data | gmt-gshhs-low (>= 2.2.0), gmt-doc
Suggests: gmt-tutorial-pdf, gmt-doc-pdf, gmt-examples
Description: Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: libgmt4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 GMT libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views. 

Package: libgmt-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libgmt4 (=${binary:Version}), libnetcdf-dev, ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 These set of libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views. 
 .
 This package contains the files used for development of programs that
 use the GMT libraries (headers, static objects).

Package: gmt-doc-pdf
Architecture: all
Section: doc
Suggests: pdf-viewer
Depends: ${misc:Depends}
Description: PDF docs for GMT, the Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: gmt-tutorial-pdf
Architecture: all
Section: doc
Suggests: pdf-viewer
Depends: ${misc:Depends}
Description: Tutorial for GMT, the Generic Mapping Tools (PDF)
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: gmt-doc
Architecture: all
Section: doc
Suggests: www-browser
Depends: ${misc:Depends}
Conflicts: gmt (<< 4.5.7-1~)
Description: HTML documentation for GMT, the Generic Mapping Tools
 GMT is a collection of UNIX tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 
 .
 This package contains the HTML documentation for GMT, consisting of 
   - the tutorial
   - the cookbook and technical reference
   - the manpages converted to HTML.

Package: gmt-examples
Architecture: all
Section: doc
Suggests: gmt
Depends: ${misc:Depends}
Description: Example scripts illustrating the use of GMT
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: octave-gmt
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, ${octave:Depends}
Suggests: gmt
Description: Support of GMT grid files for Octave
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 This package provides an interface for GNU Octave to query and read/write 
 GMT grid files.
